Page MenuHomePhabricator

On wikis where uploads are fully disabled remove upload rights on any group
Open, Stalled, LowestPublic

Description

On wikis where uploads are fully disabled, Special:ListGroupRights shouldn't show any upload rights on any user group. Instead of doing that wiki by wiki, we can create a disableduploads.dblist and add it to groupOverrides just as commonsuploads does. I'll atempt to achieve this.

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptAug 24 2016, 2:16 PM
MarcoAurelio triaged this task as Low priority.Aug 24 2016, 2:17 PM
MarcoAurelio moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 306443 had a related patch set uploaded (by MarcoAurelio):
Remove upload rights on wikis where local uploads are disabled.

https://gerrit.wikimedia.org/r/306443

MarcoAurelio renamed this task from On wikis where uploads are fully disabled, remove don't show upload rights on any group to On wikis where uploads are fully disabled remove upload rights on any group.Aug 24 2016, 3:12 PM

I'd appreciate a code review on this one before scheduling for SWAT.

I'm ok with this proposal. It would be even nicer if MediaWiki handled this, by "unregistering" the upload-related permissions when upload is disabled: this way, we would also hide any globally-assigned permission.

MarcoAurelio closed this task as Declined.Dec 22 2016, 4:48 PM

Change 306443 abandoned by MarcoAurelio:
Remove upload rights on wikis where local uploads are disabled

https://gerrit.wikimedia.org/r/306443

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 21 2017, 1:08 PM

Change 306443 restored by MarcoAurelio:
Remove upload rights on wikis where local uploads are disabled

https://gerrit.wikimedia.org/r/306443

MarcoAurelio reopened this task as Open.Jan 20 2018, 12:20 PM
MarcoAurelio moved this task from archive to working on on the User-MarcoAurelio board.

I'm willing to take a shot at this again.

Change 306443 abandoned by MarcoAurelio:
Remove upload rights on wikis where local uploads are disabled

Reason:
I'll start over from scratch.

https://gerrit.wikimedia.org/r/306443

Change 405421 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Remove upload rights on wikis where local uploads are disabled

https://gerrit.wikimedia.org/r/405421

Going on today's Morning SWAT.

Change 405421 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove upload rights on wikis where local uploads are disabled

https://gerrit.wikimedia.org/r/405421

Mentioned in SAL (#wikimedia-operations) [2018-01-29T19:39:20Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Remove upload rights on wikis where local uploads are disabled T143789 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2018-01-29T19:40:24Z] <niharika29@tin> Synchronized wmf-config/CommonSettings.php: Remove upload rights on wikis where local uploads are disabled T143789 (duration: 00m 56s)

Reverted. The patch above was reverted as it was not working as expected, in spite of working well in mwdebug1002. Specifically I observed the following failures:

  • the upload rights (upload et al.) were still avalaible at Special:ListGroupRights.
  • wikis with uploads disabled started suddenly to be able to do local uploads

Not sure if this has to be with any duplicates at commonsuploads.dblist or anything else. I'd like this to be reviewed before trying again.

Rxy added a subscriber: Rxy.Jan 31 2018, 12:22 PM

...

  • the upload rights (upload et al.) were still avalaible at Special:ListGroupRights.

It is related with T185898 .

if you want to inherit permissions from tag sets, those should be have '+' prefix before dbname in 'groupOverrides' @ "InitialiseSettings.php".

MarcoAurelio lowered the priority of this task from Low to Lowest.Feb 7 2018, 12:22 PM
MarcoAurelio changed the task status from Open to Stalled.Sep 2 2018, 10:18 PM
hashar removed a subscriber: hashar.Sep 3 2018, 7:39 AM
MarcoAurelio removed MarcoAurelio as the assignee of this task.Thu, Aug 1, 6:02 PM